<button cui-button mode="primary" (click)="show()">Default</button>
<button cui-button mode="success" (click)="success()">Success</button>
<button cui-button mode="error" (click)="error()">Error</button>
<p></p>
<button cui-button mode="secondary" (click)="showPersisting()">Persisting</button>
<p></p>
<button cui-button mode="secondary" (click)="showHtmlContent()">Html Content</button>
<p></p>
<button cui-button mode="secondary" (click)="showAction()">Action with link and button</button>
<p></p>
<button cui-button mode="secondary" (click)="showLink('Toast text message')">Action with link</button>
<button cui-button mode="secondary" (click)="showLink('')">Action with link no message</button>
<p></p>
<button cui-button mode="secondary" (click)="showButton('Toast text message')">Action with button</button>
<button cui-button mode="secondary" (click)="showButton('')">Action with button no message</button>

